class CargoDist < Formula
  desc "Shippable application packaging for Rust"
  version "0.12.0-prerelease.4"
  on_macos do
    on_arm do
      url "https://axodotdev.artifacts.axodotdev.host/cargo-dist/ax__Z9NOb0Ezh92EPeq-xAKI/cargo-dist-aarch64-apple-darwin.tar.xz"
      sha256 "896e48bbb518892c45324ca2e07bc2c7178917f62ed012706975dd6832202104"
    end
    on_intel do
      url "https://axodotdev.artifacts.axodotdev.host/cargo-dist/ax__Z9NOb0Ezh92EPeq-xAKI/cargo-dist-x86_64-apple-darwin.tar.xz"
      sha256 "98789a912a97551a4adc133106ddf1fb0b6b1df22cfc709e1bb53b11dd97fedf"
    end
  end
  on_linux do
    on_arm do
      url "https://axodotdev.artifacts.axodotdev.host/cargo-dist/ax__Z9NOb0Ezh92EPeq-xAKI/cargo-dist-aarch64-unknown-linux-gnu.tar.xz"
      sha256 "e760af9494afc33e7f5b60ed148a93c8d6f00cdcc1d5f8ecee3d37dec47c1c67"
    end
    on_intel do
      url "https://axodotdev.artifacts.axodotdev.host/cargo-dist/ax__Z9NOb0Ezh92EPeq-xAKI/cargo-dist-x86_64-unknown-linux-gnu.tar.xz"
      sha256 "0ab59ce9d25dc6eed9a6932d6516075ecaadee657bc8b32cdb43755cb386d739"
    end
  end
  license "MIT OR Apache-2.0"

  def install
    on_macos do
      on_arm do
        bin.install "cargo-dist"
      end
    end
    on_macos do
      on_intel do
        bin.install "cargo-dist"
      end
    end
    on_linux do
      on_arm do
        bin.install "cargo-dist"
      end
    end
    on_linux do
      on_intel do
        bin.install "cargo-dist"
      end
    end

    # Homebrew will automatically install these, so we don't need to do that
    doc_files = Dir["README.*", "readme.*", "LICENSE", "LICENSE.*", "CHANGELOG.*"]
    leftover_contents = Dir["*"] - doc_files

    # Install any leftover files in pkgshare; these are probably config or
    # sample files.
    pkgshare.install *leftover_contents unless leftover_contents.empty?
  end
end
